Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyaqua_mod.F90	(revision 5117)
@@ -31,5 +31,5 @@
             day_ini, day_end
     USE indice_sol_mod
-    USE nrtype, ONLY: pi
+    USE lmdz_physical_constants, ONLY: pi
     !    USE ioipsl
     USE lmdz_phys_para, ONLY: is_master
@@ -133,5 +133,5 @@
     !END IF
 
-    if (year_len/=360) THEN
+    IF (year_len/=360) THEN
       write (*, *) year_len
       CALL abort_physic("iniaqua", 'iniaqua: 360 day calendar is required !', 1)
@@ -232,5 +232,5 @@
     ! else
     phy_alb(:, :) = albedo ! albedo land only (old value condsurf_jyg=0.3)
-    ! endif !alb_ocean
+    ! END IF !alb_ocean
 
     DO i = 1, year_len
@@ -929,5 +929,5 @@
       END IF
 
-      if (type_profil==20) THEN
+      IF (type_profil==20) THEN
         PRINT*, 'Profile SST 20'
         !     Méthode 13 "Qmax2K" plateau réel é|  l'Equateur augmenté +2K
@@ -938,5 +938,5 @@
       endif
 
-      if (type_profil==21) THEN
+      IF (type_profil==21) THEN
         PRINT*, 'Profile SST 21'
         !     Méthode 13 "Qmax2K" plateau réel é|  l'Equateur augmenté +2K
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_get_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_get_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_get_mod.F90	(revision 5117)
@@ -122,5 +122,5 @@
     USE iostart, ONLY: get_field
     USE lmdz_print_control, ONLY: lunout
-    USE strings_mod, ONLY: int2str, maxlen
+    USE lmdz_strings, ONLY: int2str, maxlen
     USE lmdz_abort_physic, ONLY: abort_physic
     IMPLICIT NONE
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyetat0_mod.F90	(revision 5117)
@@ -33,5 +33,5 @@
     USE iostart, ONLY: close_startphy, get_field, get_var, open_startphy
     USE infotrac_phy, ONLY: nqtot, nbtr, type_trac, tracers
-    USE readTracFiles_mod, ONLY: maxlen, new2oldH2O
+    USE lmdz_readTracFiles, ONLY: maxlen, new2oldH2O
     USE traclmdz_mod, ONLY: traclmdz_from_restart
     USE carbon_cycle_mod, ONLY: carbon_cycle_init, carbon_cycle_cpl, carbon_cycle_tr, carbon_cycle_rad, co2_send, RCO2_glo
@@ -39,7 +39,7 @@
     USE ocean_slab_mod, ONLY: nslay, tslab, seaice, tice, ocean_slab_init
     USE time_phylmdz_mod, ONLY: init_iteration, pdtphys, itau_phy
-    USE wxios, ONLY: missing_val_xios => missing_val, using_xios
-    use netcdf, ONLY: missing_val_netcdf => nf90_fill_real
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE lmdz_wxios, ONLY: missing_val_xios => missing_val, using_xios
+    USE netcdf, ONLY: missing_val_netcdf => nf90_fill_real
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
     IMPLICIT none
@@ -61,5 +61,5 @@
     REAL qsurf(klon, nbsrf)
     REAL snow(klon, nbsrf)
-    real fder(klon)
+    REAL fder(klon)
     REAL run_off_lic_0(klon)
     REAL fractint(klon)
@@ -307,5 +307,5 @@
     !===================================================================
 
-    if (iflag_physiq <= 1) THEN
+    IF (iflag_physiq <= 1) THEN
       !===================================================================
       ! Lecture des temperatures du sol profond:
@@ -376,5 +376,5 @@
         !  found=phyetat0_srf(treedrg,"treedrg","drag from vegetation" , 0.)
         !lecture du profile de freinage des arbres
-        IF (.not. found) THEN
+        IF (.NOT. found) THEN
           treedrg(:, 1:klev, 1:nbsrf) = 0.0
         ELSE
@@ -585,6 +585,6 @@
     ENDIF ! Slab
 
-    if (activate_ocean_skin >= 1) THEN
-      if (activate_ocean_skin == 2 .and. type_ocean == 'couple') THEN
+    IF (activate_ocean_skin >= 1) THEN
+      IF (activate_ocean_skin == 2 .AND. type_ocean == 'couple') THEN
         found = phyetat0_get(delta_sal, "delta_sal", &
                 "ocean-air interface salinity minus bulk salinity", 0.)
@@ -623,5 +623,5 @@
     ! Initialize module pbl_surface_mod
 
-    if (iflag_physiq <= 1) THEN
+    IF (iflag_physiq <= 1) THEN
       CALL pbl_surface_init(fder, snow, qsurf, tsoil)
     endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5117)
@@ -40,5 +40,5 @@
   USE ocean_slab_mod, ONLY: nslay, tslab, seaice, tice, fsic
   USE time_phylmdz_mod, ONLY: annee_ref, day_end, itau_phy, pdtphys
-  use config_ocean_skin_m, ONLY: activate_ocean_skin
+  USE config_ocean_skin_m, ONLY: activate_ocean_skin
   USE lmdz_abort_physic, ONLY: abort_physic
 
@@ -57,5 +57,5 @@
   REAL qsurf(klon, nbsrf)
   REAL snow(klon, nbsrf)
-  real fder(klon)
+  REAL fder(klon)
   REAL run_off_lic_0(klon)
   REAL trs(klon, nbtr)
@@ -76,7 +76,7 @@
   ! Get variables which will be written to restart file from module 
   ! pbl_surface_mod
-  if (iflag_physiq <= 1) THEN
+  IF (iflag_physiq <= 1) THEN
     CALL pbl_surface_final(fder, snow, qsurf, tsoil)
-  endif
+  ENDIF
 
   ! Get a variable calculated in module fonte_neige_mod
@@ -373,12 +373,12 @@
     END IF
 
-    if (ok_gwd_rando) CALL put_field(pass, "du_gwd_rando", &
+    IF (ok_gwd_rando) CALL put_field(pass, "du_gwd_rando", &
             "tendency on zonal wind due to flott gravity waves", du_gwd_rando)
 
-    IF (.not. ok_hines .and. ok_gwd_rando) CALL put_field(pass, "du_gwd_front", &
+    IF (.NOT. ok_hines .AND. ok_gwd_rando) CALL put_field(pass, "du_gwd_front", &
             "tendency on zonal wind due to acama gravity waves", du_gwd_front)
 
-    if (activate_ocean_skin >= 1) THEN
-      if (activate_ocean_skin == 2 .and. type_ocean == 'couple') THEN
+    IF (activate_ocean_skin >= 1) THEN
+      IF (activate_ocean_skin == 2 .AND. type_ocean == 'couple') THEN
         CALL put_field(pass, "delta_sal", &
                 "ocean-air interface salinity minus bulk salinity", delta_sal)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 5117)
@@ -16,5 +16,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!/ histmth, histday, histhf, histins /),'!!!!!!!!!!!!
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!  CHARACTER(len=20), dimension(nfiles) :: TEF = type_ecri_files
+!  CHARACTER(len=20), DIMENSION(nfiles) :: TEF = type_ecri_files
 
 !!! saving lon and lat as variables for CMIP6 DataRequest
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5117)
@@ -35,5 +35,5 @@
     USE dimphy
     USE infotrac_phy, ONLY: nqtot, tracers, niso, ntraciso => ntiso
-    USE strings_mod, ONLY: maxlen
+    USE lmdz_strings, ONLY: maxlen
     USE ioipsl
     USE phys_cal_mod, ONLY: hour, calend
@@ -47,10 +47,10 @@
     USE time_phylmdz_mod, ONLY: day_ini, itau_phy, start_time, annee_ref, day_ref
     ! ug Pour les sorties XIOS
-    USE wxios
+    USE lmdz_wxios
     USE infotrac_phy, ONLY: nbtr_bin
 #ifdef ISO
     USE isotopes_mod, ONLY: isoName,iso_HTO
 #ifdef ISOTRAC
-    use isotrac_mod, ONLY: index_zone,index_iso,strtrac
+    USE isotrac_mod, ONLY: index_zone,index_iso,strtrac
 #endif
 #endif
@@ -190,5 +190,5 @@
     ALLOCATE(o_dxtthe(ntraciso))
     ALLOCATE(o_dxtch4(ntraciso))
-    if (iso_HTO.gt.0) THEN
+    IF (iso_HTO.gt.0) THEN
       ALLOCATE(o_dxtprod_nucl(ntraciso))
       ALLOCATE(o_dxtcosmo(ntraciso))
@@ -361,5 +361,5 @@
       IF (using_xios) THEN
         !!! Ouverture de chaque fichier XIOS !!!!!!!!!!!
-        IF (.not. ok_all_xml) THEN
+        IF (.NOT. ok_all_xml) THEN
           IF (prt_level >= 10) THEN
             PRINT*, 'phys_output_open: CALL wxios_add_file with phys_out_filenames(iff)=', trim(phys_out_filenames(iff))
@@ -632,5 +632,5 @@
   SUBROUTINE convers_timesteps(str, dtime, timestep)
 
-    use ioipsl
+    USE ioipsl
     USE phys_cal_mod
     USE time_phylmdz_mod, ONLY: day_ref, annee_ref
@@ -660,12 +660,12 @@
     ENDIF
 
-    IF (type == 'day'.or.type == 'days'.or.type == 'jours'.or.type == 'jour') timestep = ttt * dayseconde
-    IF (type == 'mounths'.or.type == 'mth'.or.type == 'mois') THEN
+    IF (type == 'day'.OR.type == 'days'.OR.type == 'jours'.OR.type == 'jour') timestep = ttt * dayseconde
+    IF (type == 'mounths'.OR.type == 'mth'.OR.type == 'mois') THEN
       WRITE(lunout, *)'annee_ref,day_ref mon_len', annee_ref, day_ref, mth_len
       timestep = ttt * dayseconde * mth_len
     ENDIF
-    IF (type == 'hours'.or.type == 'hr'.or.type == 'heurs') timestep = ttt * dayseconde / 24.
-    IF (type == 'mn'.or.type == 'minutes') timestep = ttt * 60.
-    IF (type == 's'.or.type == 'sec'.or.type == 'secondes') timestep = ttt
+    IF (type == 'hours'.OR.type == 'hr'.OR.type == 'heurs') timestep = ttt * dayseconde / 24.
+    IF (type == 'mn'.OR.type == 'minutes') timestep = ttt * 60.
+    IF (type == 's'.OR.type == 'sec'.OR.type == 'secondes') timestep = ttt
     IF (type == 'TS') timestep = ttt * dtime
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_var_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_var_mod.F90	(revision 5117)
@@ -5,5 +5,5 @@
 
   USE dimphy
-  USE strings_mod, ONLY: maxlen
+  USE lmdz_strings, ONLY: maxlen
   ! Variables outputs pour les ecritures des sorties
   !======================================================================
@@ -142,7 +142,7 @@
   LOGICAL, SAVE :: vars_defined = .FALSE. ! ug PAS THREADPRIVATE ET C'EST NORMAL
 
-  REAL, allocatable:: zustr_gwd_hines(:), zvstr_gwd_hines(:) ! (klon)
-  REAL, allocatable:: zustr_gwd_front(:), zvstr_gwd_front(:) ! (klon)
-  REAL, allocatable:: zustr_gwd_rando(:), zvstr_gwd_rando(:) ! (klon)
+  REAL, ALLOCATABLE:: zustr_gwd_hines(:), zvstr_gwd_hines(:) ! (klon)
+  REAL, ALLOCATABLE:: zustr_gwd_front(:), zvstr_gwd_front(:) ! (klon)
+  REAL, ALLOCATABLE:: zustr_gwd_rando(:), zvstr_gwd_rando(:) ! (klon)
   !$OMP THREADPRIVATE(zustr_gwd_hines, zvstr_gwd_hines)
   !$OMP THREADPRIVATE(zustr_gwd_front, zvstr_gwd_front)
@@ -185,6 +185,6 @@
   !======================================================================
   SUBROUTINE phys_output_var_init
-    use dimphy
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE dimphy
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
     IMPLICIT NONE
@@ -236,9 +236,9 @@
 
     IF (ok_hines) allocate(zustr_gwd_hines(klon), zvstr_gwd_hines(klon))
-    IF (.not.ok_hines.and.ok_gwd_rando) &
+    IF (.NOT.ok_hines.AND.ok_gwd_rando) &
                   allocate(zustr_gwd_front(klon), zvstr_gwd_front(klon))
     IF (ok_gwd_rando) allocate(zustr_gwd_rando(klon), zvstr_gwd_rando(klon))
 
-    if (activate_ocean_skin >= 1) allocate(tkt(klon), tks(klon), taur(klon), &
+    IF (activate_ocean_skin >= 1) allocate(tkt(klon), tks(klon), taur(klon), &
          sss(klon))
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_write_mod.F90	(revision 5117)
@@ -26,5 +26,5 @@
     USE dimphy, ONLY: klon, klev, klevp1
     USE infotrac_phy, ONLY: nbtr, nqtot, nqo, type_trac, tracers, niso, ntiso
-    USE strings_mod,  ONLY: maxlen
+    USE lmdz_strings,  ONLY: maxlen
     USE lmdz_phys_para, ONLY: is_north_pole_phy,is_south_pole_phy
     USE lmdz_grid_phy, ONLY: nbp_lon, nbp_lat
@@ -457,5 +457,5 @@
     ! ug Pour les sorties XIOS
     USE lmdz_xios
-    USE wxios, ONLY: wxios_closedef, missing_val_xios=>missing_val, wxios_set_context
+    USE lmdz_wxios, ONLY: wxios_closedef, missing_val_xios=>missing_val, wxios_set_context
     USE phys_cal_mod, ONLY: mth_len
 
@@ -1622,5 +1622,5 @@
           CALL histwrite_phy(o_wdtrainS, wdtrainS)
           CALL histwrite_phy(o_wdtrainM, wdtrainM)
-       ENDIF !(iflag_con.EQ.3.or.iflag_con.EQ.30)
+       ENDIF !(iflag_con.EQ.3.OR.iflag_con.EQ.30)
 !!! nrlmd le 10/04/2012
        IF (iflag_trig_bl>=1) THEN
@@ -1897,5 +1897,5 @@
           CALL histwrite_phy(o_swsrfcs_ant,zx_tmp_fi2d)
           !cf
-          IF (.not. aerosol_couple) THEN
+          IF (.NOT. aerosol_couple) THEN
              IF (vars_defined) zx_tmp_fi2d(:)=topswcf_aero(:,1)*swradcorr(:)
              CALL histwrite_phy(o_swtoacf_nat,zx_tmp_fi2d)
@@ -2410,5 +2410,5 @@
        ENDIF
 
-       IF (.not. ok_hines .and. ok_gwd_rando) THEN
+       IF (.NOT. ok_hines .AND. ok_gwd_rando) THEN
           IF (vars_defined)  zx_tmp_fi3d=du_gwd_front / pdtphys
           CALL histwrite_phy(o_du_gwd_front, zx_tmp_fi3d)
@@ -2814,5 +2814,5 @@
        ENDIF   !(iflag_phytrac==1)
 
-       if (activate_ocean_skin >= 1) THEN
+       IF (activate_ocean_skin >= 1) THEN
           CALL histwrite_phy(o_delta_sst, delta_sst)
           CALL histwrite_phy(o_delta_sal, delta_sal)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_state_var_mod.F90	(revision 5117)
@@ -524,5 +524,5 @@
       ! ocean-air interface salinity minus subskin salinity. In ppt.
 
-      real, SAVE, ALLOCATABLE:: dt_ds(:) ! (klon)
+      REAL, SAVE, ALLOCATABLE:: dt_ds(:) ! (klon)
       ! (tks / tkt) * dTer, in K
 
@@ -540,9 +540,9 @@
 #endif
 USE indice_sol_mod
-use config_ocean_skin_m, ONLY: activate_ocean_skin
-use surface_data, ONLY: type_ocean
+USE config_ocean_skin_m, ONLY: activate_ocean_skin
+USE surface_data, ONLY: type_ocean
 IMPLICIT NONE
 
-integer, intent(in)::  read_climoz
+INTEGER, INTENT(IN)::  read_climoz
 ! read ozone climatology
 ! Allowed values are 0, 1 and 2
@@ -690,5 +690,5 @@
 !albedo SB <<<
 
-      if (read_climoz <= 1) THEN
+      IF (read_climoz <= 1) THEN
          ALLOCATE(wo(klon,klev, 1))
       else
@@ -778,13 +778,13 @@
         du_gwd_rando(:,:)=0.
       ENDIF
-      IF (.not. ok_hines .and. ok_gwd_rando) THEN
+      IF (.NOT. ok_hines .AND. ok_gwd_rando) THEN
         ALLOCATE(du_gwd_front(klon, klev))
         du_gwd_front(:,:) = 0 !ym missing init   
       ENDIF
 
-      if (activate_ocean_skin >= 1) THEN
+      IF (activate_ocean_skin >= 1) THEN
          ALLOCATE(delta_sal(klon), ds_ns(klon), dt_ns(klon), delta_sst(klon), &
               dter(klon), dser(klon))
-         if (activate_ocean_skin == 2 .and. type_ocean == "couple") &
+         IF (activate_ocean_skin == 2 .AND. type_ocean == "couple") &
               allocate(dt_ds(klon))
       end if
@@ -797,6 +797,6 @@
 !USE dimphy
 USE indice_sol_mod
-use config_ocean_skin_m, ONLY: activate_ocean_skin
-use surface_data, ONLY: type_ocean
+USE config_ocean_skin_m, ONLY: activate_ocean_skin
+USE surface_data, ONLY: type_ocean
 IMPLICIT NONE
 include "clesphys.h"
@@ -938,12 +938,12 @@
       DEALLOCATE(tau_aero_lw_rrtm,piz_aero_lw_rrtm,cg_aero_lw_rrtm)
       DEALLOCATE(ccm)
-      if (ok_gwd_rando) DEALLOCATE(du_gwd_rando)
-      if (.not. ok_hines .and. ok_gwd_rando) DEALLOCATE(du_gwd_front)
+      IF (ok_gwd_rando) DEALLOCATE(du_gwd_rando)
+      IF (.NOT. ok_hines .AND. ok_gwd_rando) DEALLOCATE(du_gwd_front)
       DEALLOCATE(ale_bl_trig)
       DEALLOCATE(ratqs_inter_)
 
-      if (activate_ocean_skin >= 1) THEN
+      IF (activate_ocean_skin >= 1) THEN
          deALLOCATE(delta_sal, ds_ns, dt_ns, delta_sst, dter, dser)
-         if (activate_ocean_skin == 2 .and. type_ocean == "couple") &
+         IF (activate_ocean_skin == 2 .AND. type_ocean == "couple") &
               deALLOCATE(dt_ds)
       end if
